org.apache.cassandra.utils

## Interface ObjectSizes.MemoryLayoutSpecification

Enclosing class:
  ObjectSizes

    public static interface ObjectSizes.MemoryLayoutSpecification

Describes constant memory overheads for various constructs in a JVM implementation.

### Method Summary

Methods
`int` `getArrayHeaderSize()`
`int` `getObjectHeaderSize()`
`int` `getObjectPadding()`
`int` `getReferenceSize()`
`int` `getSuperclassFieldPadding()`

### Method Detail

#### getArrayHeaderSize

    int getArrayHeaderSize()

#### getObjectHeaderSize

    int getObjectHeaderSize()

#### getObjectPadding

    int getObjectPadding()

#### getReferenceSize

    int getReferenceSize()

#### getSuperclassFieldPadding

    int getSuperclassFieldPadding()